Mail archive
alpine-devel

[alpine-devel] [PATCH 09/25] testing/libmateweather: fix build function and deps

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Fri, 19 Dec 2014 10:26:15 +0000

---
 testing/libmateweather/APKBUILD | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)
diff --git a/testing/libmateweather/APKBUILD b/testing/libmateweather/APKBUILD
index 99184fc..fc539d4 100644
--- a/testing/libmateweather/APKBUILD
+++ b/testing/libmateweather/APKBUILD
_at_@ -2,17 +2,16 @@
 # Maintainer:
 pkgname=libmateweather
 pkgver=1.9.1
-pkgrel=0
+pkgrel=1
 pkgdesc="A library to access weather information from online services for numerous locations"
 url="https://github.com/mate-desktop/libmateweather"
 arch="all"
 license="GPL2"
 depends="mate-common"
 depends_dev=""
-makedepends="$depends_dev libsoup-dev autoconf automake libtool intltool glib-dev
-	gtk+-dev gtk-doc"
+makedepends="$depends_dev libsoup-dev libtool intltool glib-dev gtk+-dev gtk-doc"
 install=""
-subpackages="$pkgname-dev $pkgname-doc"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
 
 _builddir="$srcdir/$pkgname-$pkgver"
_at_@ -28,8 +27,12 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	./autogen.sh --prefix=/usr \
-	--with-zoneinfo-dir || return 1
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--with-zoneinfo-dir \
+		|| return 1
 	make || return 1
 }
 
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Fri Dec 19 2014 - 10:26:15 GMT